## org.eclipse.emf.validation.preferences
Class EMFModelValidationPreferences

    java.lang.Object
      org.eclipse.emf.validation.preferences.EMFModelValidationPreferences

    public class EMFModelValidationPreferences

extends Object

Preferences manager for the EMF model validation plug-in.

Method Summary
`static boolean` `isConstraintDisabled(String id)` Queries whether the specified constraint `ID` is disabled.
`static boolean` `isConstraintDisabledByDefault(String id)` Queries whether the specified constraint `ID` is disabled by default.
`static void` `save()` Saves the preferences.
`static void` `setConstraintDisabled(String id, boolean disabled)` Sets whether the specified constraint `id` is disabled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### save

    public static void save()

  Saves the preferences.

### isConstraintDisabled

    public static boolean isConstraintDisabled(String id)

  Queries whether the specified constraint `ID` is disabled.

  Parameters:
    `id` - the constraint ID
  Returns:
    whether it is disabled

### isConstraintDisabledByDefault

    public static boolean isConstraintDisabledByDefault(String id)

  Queries whether the specified constraint `ID` is disabled by default.

  Parameters:
    `id` - the constraint ID
  Returns:
    whether it is disabled

### setConstraintDisabled

    public static void setConstraintDisabled(String id,
                                             boolean disabled)

  Sets whether the specified constraint `id` is disabled.

  Parameters:
    `id` - the constraint ID
    `disabled` - whether it is disabled

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.